> ## Documentation Index
> Fetch the complete documentation index at: https://docs.clearline.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Search loyalty cards

> Retrieve loyalty cards for the specified POS system and location.



## OpenAPI

````yaml /openapi.yaml post /v2/pos/{posSystemId}/loyaltyCard/lookup
openapi: 3.0.1
info:
  title: ClearLine POS API
  description: >-
    Point of Sale integration API for ClearLine Marketing Platform. This API
    enables POS systems to send transaction data, manage customer interactions,
    and integrate with marketing campaigns.
  version: v1
servers:
  - url: https://public-api-demo.clearline.me
    description: ClearLine API Server
security: []
paths:
  /v2/pos/{posSystemId}/loyaltyCard/lookup:
    post:
      tags:
        - Loyalty Cards (v2)
      summary: Search loyalty cards
      description: Retrieve loyalty cards for the specified POS system and location.
      operationId: PosV2LoyaltyCard_LookupLoyaltyCard
      parameters:
        - name: posSystemId
          in: path
          description: POS system
          required: true
          schema:
            type: string
      requestBody:
        description: Request
        content:
          application/json-patch+json:
            schema:
              $ref: '#/components/schemas/PosLookupLoyaltyCardRequest'
            example:
              posLocationId: 6orMqUyq2Hg3tP
          application/json:
            schema:
              $ref: '#/components/schemas/PosLookupLoyaltyCardRequest'
            example:
              posLocationId: 6orMqUyq2Hg3tP
          text/json:
            schema:
              $ref: '#/components/schemas/PosLookupLoyaltyCardRequest'
            example:
              posLocationId: 6orMqUyq2Hg3tP
          application/*+json:
            schema:
              $ref: '#/components/schemas/PosLookupLoyaltyCardRequest'
            example:
              posLocationId: 6orMqUyq2Hg3tP
          application/xml:
            schema:
              $ref: '#/components/schemas/PosLookupLoyaltyCardRequest'
            example:
              posLocationId: 6orMqUyq2Hg3tP
          text/xml:
            schema:
              $ref: '#/components/schemas/PosLookupLoyaltyCardRequest'
            example:
              posLocationId: 6orMqUyq2Hg3tP
          application/*+xml:
            schema:
              $ref: '#/components/schemas/PosLookupLoyaltyCardRequest'
            example:
              posLocationId: 6orMqUyq2Hg3tP
      responses:
        '200':
          description: Success
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/PosLookupLoyaltyCardResponseApiResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/PosLookupLoyaltyCardResponseApiResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/PosLookupLoyaltyCardResponseApiResponse'
            application/xml:
              schema:
                $ref: '#/components/schemas/PosLookupLoyaltyCardResponseApiResponse'
            text/xml:
              schema:
                $ref: '#/components/schemas/PosLookupLoyaltyCardResponseApiResponse'
      security:
        - BearerAuth: []
        - ImplicitAuth: []
components:
  schemas:
    PosLookupLoyaltyCardRequest:
      required:
        - posLocationId
      type: object
      properties:
        posLocationId:
          minLength: 1
          type: string
          description: The POS location identifier
      additionalProperties: false
      description: Request model for looking up a loyalty card
    PosLookupLoyaltyCardResponseApiResponse:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/PosLookupLoyaltyCardResponse'
      additionalProperties: false
    PosLookupLoyaltyCardResponse:
      type: object
      properties:
        loyaltyCard:
          $ref: '#/components/schemas/PosLoyaltyCardDto'
      additionalProperties: false
      description: Response model for looking up a loyalty card
    PosLoyaltyCardDto:
      type: object
      properties:
        id:
          type: string
          description: Loyalty card unique identifier
          nullable: true
        name:
          type: string
          description: Loyalty card Name
          nullable: true
        title:
          type: string
          description: Loyalty card Title
          nullable: true
        description:
          type: string
          description: Loyalty card Description
          nullable: true
        frontImage:
          type: string
          description: Loyalty card Front Image
          nullable: true
        loyaltyCardType:
          $ref: '#/components/schemas/LoyaltyCardTypes'
        location:
          $ref: '#/components/schemas/PosLoyaltyCardLocationDto'
      additionalProperties: false
      description: Represent loyalty card
    LoyaltyCardTypes:
      enum:
        - 1
        - 2
        - 3
        - 4
      type: integer
      format: int32
    PosLoyaltyCardLocationDto:
      type: object
      properties:
        id:
          type: string
          description: Loyalty card unique identifier
          nullable: true
        name:
          type: string
          description: Loyalty card Name
          nullable: true
      additionalProperties: false
      description: Represent loyalty card location
  securitySchemes:
    BearerAuth:
      type: http
      description: |-

        JWT Authorization header using the Bearer scheme.

        Enter **_JWT Bearer token only_** in the text input below.
      scheme: bearer
      bearerFormat: JWT
    ImplicitAuth:
      type: oauth2
      description: Implicit scheme
      flows:
        implicit:
          authorizationUrl: https://logindemo.clearline.me/connect/authorize
          scopes:
            clearline_api: Grants access to Clearline API endpoints.

````